Author Topic: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]  (Read 287186 times)

0 Members and 1 Guest are viewing this topic.

Offline AdmiralRalwood

  • 211
  • The Cthulhu programmer himself!
    • Skype
    • Steam
    • Twitter
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
FSO builds also have release candidates; since there'll be a new version, it should probably be a release candidate first.
Ph'nglui mglw'nafh Codethulhu GitHub wgah'nagl fhtagn.

schrödinbug (noun) - a bug that manifests itself in running software after a programmer notices that the code should never have worked in the first place.

When you gaze long into BMPMAN, BMPMAN also gazes into you.

"I am one of the best FREDders on Earth" -General Battuta

<Aesaar> literary criticism is vladimir putin

<MageKing17> "There's probably a reason the code is the way it is" is a very dangerous line of thought. :P
<MageKing17> Because the "reason" often turns out to be "nobody noticed it was wrong".
(the very next day)
<MageKing17> this ****ing code did it to me again
<MageKing17> "That doesn't really make sense to me, but I'll assume it was being done for a reason."
<MageKing17> **** ME
<MageKing17> THE REASON IS PEOPLE ARE STUPID
<MageKing17> ESPECIALLY ME

<MageKing17> God damn, I do not understand how this is breaking.
<MageKing17> Everything points to "this should work fine", and yet it's clearly not working.
<MjnMixael> 2 hours later... "God damn, how did this ever work at all?!"
(...)
<MageKing17> so
<MageKing17> more than two hours
<MageKing17> but once again we have reached the inevitable conclusion
<MageKing17> How did this code ever work in the first place!?

<@The_E> Welcome to OpenGL, where standards compliance is optional, and error reporting inconsistent

<MageKing17> It was all working perfectly until I actually tried it on an actual mission.

<IronWorks> I am useful for FSO stuff again. This is a red-letter day!
* z64555 erases "Thursday" and rewrites it in red ink

<MageKing17> TIL the entire homing code is held up by shoestrings and duct tape, basically.

 

Offline ksotar

  • 26
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
Does anybody know where wxLauncher stores profile? I want to make some kind of portable version.

 

Offline Novachen

  • 29
  • The one and only capella supernova
    • Twitter
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
%appdata%/wxlauncher
Female FreeSpace 2 pilot since 1999.
Global moderator in the German FreeSpace Galaxy Forum.

Responsible for the german translation project FreiRaum - FreeSpace auf Deutsch.
Also responsible for the Nova Upgrade Project, which upgrades and fix older campaigns to make them play- and solveable again with current builds and MediaVPs.

Release List:
German Translations:
Awakenings, Between the Ashes 1, Deneb III, FreeSpace 2 (in development), FreeSpace Port, Silent Threat: Reborn & The Destiny of Peace

Nova Upgrades:
A Walk in the Sun, Into the Halls of Valhalla, Luyten Civil War, Renegade Resurgence, Revenge: Final Conflict (in development), Rogues!, Shadow Genesis (de-facto), Storm Front Saga, The Deuterium Connection, Venice Mirror & What If: Another Great War

 

Offline CT27

  • 210
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
With Knossos being used by lots these days, is a new wxLauncher version still possible in the future (for Windows)?  I have all my campaigns on that.

 

Offline m!m

  • 211
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
There are some changes that have not been merged yet but other than that there doesn't seem to be anything missing from wxLauncher at this point. It may be a good idea to make an official release of 0.12 but other than that there are not a lot of reasons for continuing the development of wxLauncher.

 
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
Hi all,

I decided to get back into FSO and downloaded the latest built, mediaVPs, and wxLauncher (tried YAL first).

In YAL, I could choose Anisotropic filtering and Anti aliasing level.  In wxLauncher I can't.

Now I read that AF/AA settings don't work with Windows version of FSO (which is what I'm using). 

So should these settings be configured in the nVidia Control panel (forced basically) in order to have them or is there some other way of enabling them in Windows?

 

Offline m!m

  • 211
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
I'm not sure about anisotropic filtering but at least anti-aliasing does nothing for FSO since most of the work is done with framebuffer objects which are not affected by the AA settings of the driver.

Forcing anisotropic filtering in the driver would probably work although I think that there was a change to FSO recently that allowed the user to configure the AF setting somehow.

  
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
If you have the GPU horsepower, DSR (VSR on AMD) is pretty effective. It's basically the brute force way of anti-aliasing but I've found that 4k DSR on a 1080p display for example gets rid of practically all aliasing.

There's also FXAA in the wxLauncher advanced options. Very light on performance although it does slightly blur the image.

Aliasing in general isn't a huge problem in FS because of the nature of the graphics, which is typically low frequency and low contrast content against a dark background.

 
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
I'm having some issues getting wxLauncher to build on my install of Linux Mint 19.2.  I think part of the problem is that the readme is saying that I need to download and install certain packages that may be deprecated.  I can find them online, but they are referencing a version of Ubuntu several years old.  I was able to use apt-get for "build-essentials" and "python-markdown."  But I am not finding "libopenal-dev" or "libwxgtk2.8-dev" or "libwxgtk2.8-dbg."  I can certainly find packages talking about OpenAL and wxWidgets, but they have different names for the most part.  I've tried adding repositories to my list of approved repositories, but I'm running into problems getting past Mint's security requirements.  "apt-key adv --fetch-keys http://repos.codelite.org/CodeLite.asc" is returning an error for some reason.

Is there a chance that these instructions are out of date?
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
They are outdated. Why you don't try wxlauncher from repositories?
You mean
Code: [Select]
sudo apt-key adv --fetch-keys http://repos.codelite.org/CodeLite.asc doesn't work?

 
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
Yeah, that line returned an error for some reason. I’m at work right now, but I’ll copy paste the output when I get home.

Do you mean there is a downloadable installable wxLauncher in a repository somewhere so I wouldn’t have to build the whole thing from scratch?? That would be outstanding!! What repositories have it?
"Any idiot can face a crisis; it is this day to day living that wears you out." – Anton Chekhov

 
Re: RELEASE: wxLauncher 0.10.1 beta [Updated 2015/09/26]
Yes, search for freespace2-launcher-wxlauncher.
I didn't use Linux Mint long time so I hope Ubuntu Multiverse repository is enabled in this. :nervous: